%define name	icecast
%define version	1.3.12
%define release 3mdk

Summary:	Icecast - Streaming Media Server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
Patch0:		icecast-1.3.12-errno.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep

%setup -q
%patch0 -p0

%build
# readline compile here is fucked
if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --prefix=%{_prefix} --enable-fsstd --enable-libwrap \
	--without-readline --libdir=%{_libdir}
else
  CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --enable-fsstd --enable-libwrap \
	--without-readline --libdir=%{_libdir}
fi
%make

%install
make DESTDIR=%{buildroot} install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp %{buildroot}%{_sysconfdir}/icecast/icecast.conf.dist %{buildroot}%{_sysconfdir}/icecast/icecast.conf
cp %{buildroot}%{_sysconfdir}/icecast/groups.aut.dist %{buildroot}%{_sysconfdir}/icecast/groups.aut
cp %{buildroot}%{_sysconfdir}/icecast/mounts.aut.dist %{buildroot}%{_sysconfdir}/icecast/mounts.aut
cp %{buildroot}%{_sysconfdir}/icecast/users.aut.dist %{buildroot}%{_sysconfdir}/icecast/users.aut

rm -rf %{buildroot}/usr/doc

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED TODO
%doc doc/manual.html
%{_sbindir}/icecast
/var/log/icecast
%{_datadir}/icecast/
%{_sysconfdir}/icecast/groups.aut.dist
%{_sysconfdir}/icecast/mounts.aut.dist
%{_sysconfdir}/icecast/users.aut.dist
%{_sysconfdir}/icecast/icecast.conf.dist
%config(noreplace) %{_sysconfdir}/icecast/groups.aut
%config(noreplace) %{_sysconfdir}/icecast/mounts.aut
%config(noreplace) %{_sysconfdir}/icecast/users.aut
%config(noreplace) %{_sysconfdir}/icecast/icecast.conf

%changelog
* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.12-3mdk
- build release
- removed Packager as it's set by your ~/.rpmmacros file
- fix configure-without-libdir-spec
- added P0
- remove wrongly installed docs
- misc spec file fixes

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.3.12-2mdk
- added Packager

* Thu Apr 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.12-1mdk
- 1.3.12
- add noreplace to %%config

* Tue Aug 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.11-1mdk
- updated to 1.3.11

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-2mdk
- rebuild

* Thu Jun 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.10-1mdk
- updated to 1.3.10

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8.beta2-1mdk
- updated to 1.3.8.beta2

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- BM
- macros

* Fri Jul 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.7-1mdk
- mandrake-ize package

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta

